### Method

# Fwupd Remote set_password

#### Declaration [src]

    void
    fwupd_remote_set_password (
      FwupdRemote* self,
      const gchar* password
    )

#### Description [src]

Sets the remote password.

Available since: | 2.0.0

#### Parameters

`password` | `const gchar*`
| An optional password.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.